%global momorel 1

Summary: Mutter window manager
Name: mutter
Version: 2.28.0
Release: %{momorel}m%{?dist}
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.28/%{name}-%{version}.tar.bz2
NoSource: 0
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: intltool

BuildPrereq: glib2-devel >= 2.20.0
BuildPreReq: gtk2-devel >= 2.16.0
BuildPrereq: startup-notification-devel >= 0.9
BuildPrereq: libXcomposite-devel
BuildPrereq: libXrender-devel
BuildPrereq: clutter-devel >= 1.0.4
BuildPrereq: gobject-introspection-devel >= 0.6.5
BuildPrereq: libXcursor-devel
BuildPreReq: GConf2-devel >= 2.26.0
BuildPrereq: GConf2
Requires: startup-notification
Requires(post): GConf2

%description
Metacity is not a meta-City as in an urban center, but rather
Meta-ness as in the state of being meta. i.e. metacity : meta as
opacity : opaque. Also it may have something to do with the Meta key
on UNIX keyboards.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel
%prep
%setup -q

%build
%configure \
    --enable-silent-rules \
    --disable-schemas-install \
    --disable-scrollkeeper \
    --enable-static=no
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
rarian-sk-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/metacity.schemas \
  > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/mutter.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/mutter.schemas \
	> /dev/null || :
fi

%postun
rarian-sk-update

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS HACKING ChangeLog
%{_sysconfdir}/gconf/schemas/mutter.schemas
%{_bindir}/mutter
%{_bindir}/mutter-message
%{_bindir}/mutter-theme-viewer
%{_bindir}/mutter-window-demo
%{_libdir}/libmutter-private.so.*
%exclude %{_libdir}/libmutter-private.la

%dir %{_libdir}/mutter
%{_libdir}/mutter/Meta-2.28.gir
%{_libdir}/mutter/Meta-2.28.typelib

%dir %{_libdir}/mutter/plugins
%{_libdir}/mutter/plugins/default.so

%{_datadir}/applications/mutter.desktop
%{_datadir}/gnome/wm-properties/mutter-wm.desktop
%{_datadir}/mutter/icons/mutter-window-demo.png
%{_datadir}/locale/*/*/*

%{_mandir}/man1/mutter*.1.*

%files devel
%defattr(-,root,root)
%{_includedir}/mutter
%{_libdir}/libmutter-private.so
%{_libdir}/pkgconfig/libmutter-private.pc
%{_libdir}/pkgconfig/mutter-plugins.pc

%changelog
* Sun Nov 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- from trunk

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Oct  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- update to 2.28.0

* Wed Sep 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.5-1m)
- update to 2.27.5

* Sun Sep  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.4-1m)
- update to 2.27.4

* Thu Sep  3 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.27.3-3m)
- rebuild against clutter-1.0.4-3m

* Wed Sep  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.3-2m)
- to main

* Sun Aug 30 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.3-1m)
- initial build
